{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}
{% block content %}
    {% block extra_style_block %}
    {{block.super}}
    <style>
            .btn-payment {
                float: right;
                color: #fff;
            }
            .txt-search {
                width: auto;
                display: initial !important;
            }
            .btn-search {
                display: initial !important;
                padding: 6.2px 12px;
                margin: 0 2px 0 -4px;
                background: #3d8dbc;
                border: 1px solid #09649a;
            }
            .fa-search {
                color: #fff;
            }
            .bgc {
                background: rgba(0,0,0,.075);
            }
            .sku {
                cursor: pointer;
            }
            .even {background: rgba(0,0,0,.075);}
            .odd {background: rgba(0,0,0,.075);}
        </style>
    
        <style>
            .txt-search {
                width: auto;
                display: initial !important;
            }
            .btn-search {
                display: initial !important;
                padding: 6.2px 12px;
                margin: 0 2px 0 -4px;
                background: #3d8dbc;
                border: 1px solid #09649a;
            }
            .fa-search {
                color: #fff;
            }
    
            .col-cust-add{
              float: left;
              padding-left: 15px;
              float: left;
              padding-left: 15px;
              font-size: 16px;
              font-weight: 600;
              color: #333;
              line-height: 1.45;
            }
            .col-cust-add h2{
              text-transform: capitalize;
              font-size: 24px;
              margin: 0 0 0px 0;
              font-weight: 600;
              line-height: 1.2;
            }
            .col-cust-add.col-business-add{
              padding: 3px 5px;
              word-spacing: 0px;
              background: #dddddd82;
              box-shadow: 0px 0px 5px #f5e1e1;
              float: right;
              border-radius: 4px;
              margin: 6px 14px 0px;
            }
            .col-cust-add.col-business-add span{
              padding: 5px 8px;
              display: inline-block;
              background-color: #f39c12;
              border-color: #e08e0b;
              border-radius: 4px;
              margin-bottom: 5px;
              color:#fff;
            }
        </style>
    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
    </style>
    {% endblock %}

    <head>
        <link rel="stylesheet" type="text/css" href="{% static 'css/grid-style.css' %}">
        <title>{% block title %} SR Order List {% endblock %}</title>
    </head>
  
        <span style="margin-top: -15px;" id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
                <h1 style="margin-top: -18px;" class="back-list">SR List</h1>
    <form  method="post" enctype="multipart/form-data">
    {% csrf_token %}
        <section class="content-header col-content">
            <div class="row">
                <div class="col-xs-6 col-sm-6 col-md-6 col-customer">                
                    <p class="creatBtn-wrapper">
                        <button><a href="{% url 'create_sr' %}">Create</a></button>
                        <button type="submit" name="export" class="export">Export</button>    
                    </p>                
                </div>
                <div style="margin: 0px;margin-right: 12px;">
                    <div class="search-container text-right">                            
                        <input class="form-control txt-search" value="{{search}}" type="text" placeholder="Search.." name="search">
                        <button class="btn-search" type="submit">
                            <i class="fa fa-search"></i>
                        </button>                            
                    </div>
                    {% autoescape off %}
                        <span style="color:green; float: right"><b>{{querycount}}</b></span>
                    {% endautoescape off %}
                </div>               
            </div>
            <div class="row">
                <address class="col-cust-add col-business-add">
                    <span style="background-color: #00c0ef;border-color: #00acd6;">
                        Total no of SR: {{srCount|default:"0"}}
                    </span>
                    
                </address>
            </div>
    </section>
</form>

    <section>
        <table class="table table table-bordered">
            <thead>
            <tr>
                <th>SR ID</th>
                <th>First Name</th>
                <th>Last Name</th>
                <th>Email</th>
                <th>Mobile</th>
                <th>Action</th>
            </tr>
            </thead>
            <tbody>
                {% if data_list|length > 0 %}
                    {% for data in data_list %}
                        <tr>
                            <td>{{data.user_code}}</td>
                            <td>{{data.first_name}}</td>
                            <td>{{data.last_name}}</td>
                            <td>{{data.email}}</td>
                            <td>{{data.mobile}}</td>
                            <td>
                                <a target="_blank" href="/admin/ClassicUserAccounts/user/{{data.id}}/change/">
                                    <span class="glyphicon glyphicon-edit"></span>
                                </a>

                                <a  data-goto-page="{% url 'sr_delete' data.id %}" onclick="return get_sr('{{data.id}}')" id="sr" rel="group" class="btn btn-danger btn-xs btn-3d" data-toggle="modal" data-target="#myModal">
                                    <span data-toggle="tooltip" data-state="danger" data-placement="top" title="Delete" class="glyphicon glyphicon-trash"></span>
                                </a>
                            </td>
                        </tr>
                    {% endfor %}
                {% else %}
                    <tr><td colspan="6" style="text-align:center;">Data not available</td></tr>
                {% endif %}
            </tbody>
        </table>
    </section>
    <div class="modal fade" id="myModal" role="dialog">
        <div class="modal-dialog modal-lg">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal">&times;</button>
             <h3>Assign New SR</h3>
            </div>
            <div class="modal-body">
                <form method="post" novalidate>
                    {% csrf_token %}
                    <input type="hidden" name="sr" id="get_sr">
                    <input type="hidden" name="sr_email" id="email">
                    <input type="hidden" name="sr_code" id="code">
                    <div class="box-body">
                        <div class="form-group col-md-12 col-sm-12">
                            <div id="div_id_email" class="form-group">
                                <label for="id_email" class="control-label  requiredField">
                                    Email address<span class="asteriskField">*</span>
                                </label>
                                <div class="controls ">
                                    <input type="email" name="email" maxlength="254" class="emailinput form-control" required="" id="id_email">
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-12 col-sm-12">
                            <div id="div_id_user_code" class="form-group">
                                <label for="id_user_code" class="control-label  requiredField">
                                    SR Code<span class="asteriskField">*</span>
                                </label>
                                <div class="controls ">
                                    <input type="text" name="user_code" class="textinput textInput form-control" required="" id="id_user_code">
                                    <p id="hint_id_user_code" class="help-block">ex: Should be alphanumeric</p>
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-12 col-sm-12">
                            <div id="div_id_first_name" class="form-group">
                                <label for="id_first_name" class="control-label  requiredField">
                                    First name<span class="asteriskField">*</span>
                                </label>
                                <div class="controls ">
                                    <input type="text" name="first_name" maxlength="50" class="textinput textInput form-control" required="" id="id_first_name">
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-12 col-sm-12">
                            <div id="div_id_last_name" class="form-group">
                                <label for="id_last_name" class="control-label  requiredField">
                                    Last name<span class="asteriskField">*</span>
                                </label>
                                <div class="controls ">
                                    <input type="text" name="last_name" maxlength="50" class="textinput textInput form-control" required="" id="id_last_name">
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-12 col-sm-12">
                            <div id="div_id_mobile" class="form-group">
                                <label for="id_mobile" class="control-label  requiredField">
                                    Primary Contact<span class="asteriskField">*</span>
                                </label>
                                <div class="controls ">
                                    <input type="text" name="mobile" max_length="13" required="" class="textinput textInput form-control" id="id_mobile">
                                    <p id="hint_id_mobile" class="help-block">ex: 5555555555</p>
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-12 col-sm-12">
                            <div id="div_id_phone" class="form-group">
                                <label for="id_phone" class="control-label ">
                                    Alternate contact
                                </label>
                                <div class="controls ">
                                    <input type="text" name="phone" max_length="13" class="textinput textInput form-control" id="id_phone">
                                    <p id="hint_id_phone" class="help-block">ex: 5555555555</p>
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-12 col-sm-12 text-right">
                            <input type="submit" value="Submit" name="assign_sr" class="btn btn-primary">
                        </div>
                    </div>
                </form>
            </div>
          </div>
        </div>
      </div>
    <div id="modal-danger" class="modal fade modal-alert modal-danger">
        <div class="modal-dialog modal-dialog-new">
            <div class="modal-content modal-content-new">
                <div class="modal-header modal-header-new" style="background-color:#e46050 !important">
                    <i class="fa fa-times-circle"></i>
                </div>
                <div class="modal-title modal-title-new">Delete</div>
                <div class="modal-body modal-body-new" style="color:#444 !important;background-color:#fff !important">Are you sure you want to delete?</div>
                <div class="modal-footer modal-footer-new" style="background-color:#fff !important;border-top:1px solid #fff !important">
                    <a id="confirm-id" class="btn btn-danger btn-3d">Yes</a>
                    <a class="btn btn-info btn-3d" data-dismiss="modal">No</a>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script>
        function get_sr(sr_id) {
            //var sr=sr_id.split('_')
            var sr_id= parseInt(sr_id)
            $('#get_sr').attr('value',sr_id)
            //$('#email').attr('value',sr[2])
            //$('#code').attr('value',sr[1])
        }
    </script>
{% endblock %}